layers(5).
width(0,8).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
width(1,8).
in_layer(1,n9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
width(2,8).
in_layer(2,n17).
in_layer(2,n18).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
width(3,8).
in_layer(3,n25).
in_layer(3,n26).
in_layer(3,n27).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
width(4,8).
in_layer(4,n33).
in_layer(4,n34).
in_layer(4,n35).
in_layer(4,n36).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
edge(n23,n26).
edge(n10,n24).
edge(n12,n19).
edge(n31,n39).
edge(n16,n18).
edge(n14,n23).
edge(n25,n36).
edge(n11,n22).
edge(n28,n33).
edge(n14,n22).
edge(n6,n10).
edge(n4,n15).
edge(n7,n10).
edge(n9,n20).
edge(n9,n22).
edge(n17,n32).
edge(n26,n40).
edge(n28,n36).
edge(n13,n22).
edge(n23,n32).
edge(n29,n40).
edge(n16,n19).
edge(n29,n36).
edge(n11,n20).
edge(n5,n9).
edge(n14,n20).
edge(n3,n10).
edge(n21,n27).
edge(n6,n16).
edge(n3,n9).
edge(n4,n10).
edge(n15,n24).
edge(n9,n19).
edge(n23,n30).
edge(n26,n37).
edge(n11,n21).
edge(n26,n36).
edge(n18,n27).
edge(n4,n13).
edge(n31,n38).
edge(n8,n12).
edge(n32,n39).
edge(n12,n21).
edge(n16,n20).
edge(n7,n16).
edge(n13,n17).
edge(n14,n24).
edge(n31,n35).
edge(n27,n38).
edge(n16,n17).
edge(n9,n21).
